# -*- encoding: utf-8 -*-
# stub: omnibus 8.2.2 ruby lib

Gem::Specification.new do |s|
  s.name = "omnibus".freeze
  s.version = "8.2.2"

  s.required_rubygems_version = Gem::Requirement.new(">= 0".freeze) if s.respond_to? :required_rubygems_version=
  s.require_paths = ["lib".freeze]
  s.authors = ["Chef Software, Inc.".freeze]
  s.date = "2021-09-28"
  s.description = "Omnibus is a framework for building self-installing, full-stack software builds.".freeze
  s.email = "releng@chef.io".freeze
  s.executables = ["omnibus".freeze]
  s.files = ["Gemfile".freeze, "LICENSE".freeze, "README.md".freeze, "Rakefile".freeze, "bin/omnibus".freeze, "lib/omnibus.rb".freeze, "lib/omnibus/assets/README-logo.png".freeze, "lib/omnibus/assets/logo.psd".freeze, "lib/omnibus/build_version.rb".freeze, "lib/omnibus/build_version_dsl.rb".freeze, "lib/omnibus/builder.rb".freeze, "lib/omnibus/changelog.rb".freeze, "lib/omnibus/changelog_printer.rb".freeze, "lib/omnibus/cleaner.rb".freeze, "lib/omnibus/cli.rb".freeze, "lib/omnibus/cli/base.rb".freeze, "lib/omnibus/cli/cache.rb".freeze, "lib/omnibus/cli/changelog.rb".freeze, "lib/omnibus/cli/publish.rb".freeze, "lib/omnibus/compressor.rb".freeze, "lib/omnibus/compressors/base.rb".freeze, "lib/omnibus/compressors/dmg.rb".freeze, "lib/omnibus/compressors/null.rb".freeze, "lib/omnibus/compressors/tgz.rb".freeze, "lib/omnibus/config.rb".freeze, "lib/omnibus/core_extensions.rb".freeze, "lib/omnibus/core_extensions/open_uri.rb".freeze, "lib/omnibus/digestable.rb".freeze, "lib/omnibus/download_helpers.rb".freeze, "lib/omnibus/exceptions.rb".freeze, "lib/omnibus/fetcher.rb".freeze, "lib/omnibus/fetchers/file_fetcher.rb".freeze, "lib/omnibus/fetchers/git_fetcher.rb".freeze, "lib/omnibus/fetchers/net_fetcher.rb".freeze, "lib/omnibus/fetchers/null_fetcher.rb".freeze, "lib/omnibus/fetchers/path_fetcher.rb".freeze, "lib/omnibus/file_syncer.rb".freeze, "lib/omnibus/generator.rb".freeze, "lib/omnibus/generator_files/.kitchen.local.yml.erb".freeze, "lib/omnibus/generator_files/.kitchen.yml.erb".freeze, "lib/omnibus/generator_files/Berksfile.erb".freeze, "lib/omnibus/generator_files/Gemfile.erb".freeze, "lib/omnibus/generator_files/README.md.erb".freeze, "lib/omnibus/generator_files/config/projects/project.rb.erb".freeze, "lib/omnibus/generator_files/config/software/preparation.rb.erb".freeze, "lib/omnibus/generator_files/config/software/zlib.rb.erb".freeze, "lib/omnibus/generator_files/gitignore.erb".freeze, "lib/omnibus/generator_files/omnibus.rb.erb".freeze, "lib/omnibus/generator_files/package_scripts/postinst.erb".freeze, "lib/omnibus/generator_files/package_scripts/postrm.erb".freeze, "lib/omnibus/generator_files/package_scripts/preinst.erb".freeze, "lib/omnibus/generator_files/package_scripts/prerm.erb".freeze, "lib/omnibus/git_cache.rb".freeze, "lib/omnibus/git_repository.rb".freeze, "lib/omnibus/health_check.rb".freeze, "lib/omnibus/instrumentation.rb".freeze, "lib/omnibus/library.rb".freeze, "lib/omnibus/licensing.rb".freeze, "lib/omnibus/logger.rb".freeze, "lib/omnibus/logging.rb".freeze, "lib/omnibus/manifest.rb".freeze, "lib/omnibus/manifest_diff.rb".freeze, "lib/omnibus/manifest_entry.rb".freeze, "lib/omnibus/metadata.rb".freeze, "lib/omnibus/null_argumentable.rb".freeze, "lib/omnibus/ohai.rb".freeze, "lib/omnibus/package.rb".freeze, "lib/omnibus/packager.rb".freeze, "lib/omnibus/packagers/appx.rb".freeze, "lib/omnibus/packagers/base.rb".freeze, "lib/omnibus/packagers/bff.rb".freeze, "lib/omnibus/packagers/deb.rb".freeze, "lib/omnibus/packagers/ips.rb".freeze, "lib/omnibus/packagers/makeself.rb".freeze, "lib/omnibus/packagers/msi.rb".freeze, "lib/omnibus/packagers/pkg.rb".freeze, "lib/omnibus/packagers/pkgsrc.rb".freeze, "lib/omnibus/packagers/rpm.rb".freeze, "lib/omnibus/packagers/solaris.rb".freeze, "lib/omnibus/packagers/windows_base.rb".freeze, "lib/omnibus/project.rb".freeze, "lib/omnibus/publisher.rb".freeze, "lib/omnibus/publishers/artifactory_publisher.rb".freeze, "lib/omnibus/publishers/null_publisher.rb".freeze, "lib/omnibus/publishers/s3_publisher.rb".freeze, "lib/omnibus/reports.rb".freeze, "lib/omnibus/s3_cache.rb".freeze, "lib/omnibus/s3_helpers.rb".freeze, "lib/omnibus/semantic_version.rb".freeze, "lib/omnibus/software.rb".freeze, "lib/omnibus/sugarable.rb".freeze, "lib/omnibus/templating.rb".freeze, "lib/omnibus/thread_pool.rb".freeze, "lib/omnibus/util.rb".freeze, "lib/omnibus/version.rb".freeze, "lib/omnibus/whitelist.rb".freeze, "omnibus.gemspec".freeze, "resources/appx/AppxManifest.xml.erb".freeze, "resources/appx/assets/clear.png".freeze, "resources/bff/config.erb".freeze, "resources/bff/gen.template.erb".freeze, "resources/deb/conffiles.erb".freeze, "resources/deb/control.erb".freeze, "resources/deb/md5sums.erb".freeze, "resources/dmg/background.png".freeze, "resources/dmg/create_dmg.osascript.erb".freeze, "resources/dmg/icon.png".freeze, "resources/ips/doc-transform.erb".freeze, "resources/ips/gen.manifestfile.erb".freeze, "resources/makeself/makeself-header.sh".freeze, "resources/makeself/makeself.sh".freeze, "resources/makeself/makeselfinst.erb".freeze, "resources/msi/CustomActionFastMsi.CA.dll".freeze, "resources/msi/assets/LICENSE.rtf".freeze, "resources/msi/assets/banner_background.bmp".freeze, "resources/msi/assets/dialog_background.bmp".freeze, "resources/msi/assets/project.ico".freeze, "resources/msi/assets/project_16x16.ico".freeze, "resources/msi/assets/project_32x32.ico".freeze, "resources/msi/bundle.wxs.erb".freeze, "resources/msi/localization-en-us.wxl.erb".freeze, "resources/msi/parameters.wxi.erb".freeze, "resources/msi/source.wxs.erb".freeze, "resources/pkg/background.png".freeze, "resources/pkg/distribution.xml.erb".freeze, "resources/pkg/license.html.erb".freeze, "resources/pkg/welcome.html.erb".freeze, "resources/rpm/filesystem_list".freeze, "resources/rpm/rpmmacros.erb".freeze, "resources/rpm/signing.erb".freeze, "resources/rpm/spec.erb".freeze, "spec/fixtures/licensing/license_scout/snoopy/ruby_bundler-bundler-audit-0.5.0-COPYING.txt".freeze, "spec/fixtures/licensing/license_scout/snoopy/ruby_bundler-inifile-3.0.0-README.md".freeze, "spec/fixtures/licensing/license_scout/snoopy/snoopy-dependency-licenses.json".freeze, "spec/fixtures/licensing/license_scout/zlib/ruby_bundler-inifile-3.0.0-README.md".freeze, "spec/fixtures/licensing/license_scout/zlib/ruby_bundler-mime-types-3.1-Licence.rdoc".freeze, "spec/fixtures/licensing/license_scout/zlib/ruby_bundler-mini_portile2-2.1.0-LICENSE.txt".freeze, "spec/fixtures/licensing/license_scout/zlib/zlib-dependency-licenses.json".freeze, "spec/fixtures/sample/package-scripts/sample/postinstall".freeze, "spec/functional/builder_spec.rb".freeze, "spec/functional/fetchers/file_fetcher_spec.rb".freeze, "spec/functional/fetchers/git_fetcher_spec.rb".freeze, "spec/functional/fetchers/net_fetcher_spec.rb".freeze, "spec/functional/fetchers/path_fetcher_spec.rb".freeze, "spec/functional/file_syncer_spec.rb".freeze, "spec/functional/licensing_spec.rb".freeze, "spec/functional/templating_spec.rb".freeze, "spec/spec_helper.rb".freeze, "spec/support/env_helpers.rb".freeze, "spec/support/examples.rb".freeze, "spec/support/file_helpers.rb".freeze, "spec/support/git_helpers.rb".freeze, "spec/support/logging_helpers.rb".freeze, "spec/support/matchers.rb".freeze, "spec/support/ohai_helpers.rb".freeze, "spec/support/output_helpers.rb".freeze, "spec/support/path_helpers.rb".freeze, "spec/support/shell_helpers.rb".freeze, "spec/unit/build_version_dsl_spec.rb".freeze, "spec/unit/build_version_spec.rb".freeze, "spec/unit/builder_spec.rb".freeze, "spec/unit/changelog_spec.rb".freeze, "spec/unit/changelogprinter_spec.rb".freeze, "spec/unit/cleanroom_spec.rb".freeze, "spec/unit/compressor_spec.rb".freeze, "spec/unit/compressors/base_spec.rb".freeze, "spec/unit/compressors/dmg_spec.rb".freeze, "spec/unit/compressors/null_spec.rb".freeze, "spec/unit/compressors/tgz_spec.rb".freeze, "spec/unit/config_spec.rb".freeze, "spec/unit/digestable_spec.rb".freeze, "spec/unit/fetcher_spec.rb".freeze, "spec/unit/fetchers/file_fetcher_spec.rb".freeze, "spec/unit/fetchers/git_fetcher_spec.rb".freeze, "spec/unit/fetchers/net_fetcher_spec.rb".freeze, "spec/unit/fetchers/path_fetcher_spec.rb".freeze, "spec/unit/file_syncer_spec.rb".freeze, "spec/unit/generator_spec.rb".freeze, "spec/unit/git_cache_spec.rb".freeze, "spec/unit/git_repository_spec.rb".freeze, "spec/unit/health_check_spec.rb".freeze, "spec/unit/library_spec.rb".freeze, "spec/unit/manifest_diff_spec.rb".freeze, "spec/unit/manifest_spec.rb".freeze, "spec/unit/metadata_spec.rb".freeze, "spec/unit/ohai_spec.rb".freeze, "spec/unit/omnibus_spec.rb".freeze, "spec/unit/package_spec.rb".freeze, "spec/unit/packager_spec.rb".freeze, "spec/unit/packagers/appx_spec.rb".freeze, "spec/unit/packagers/base_spec.rb".freeze, "spec/unit/packagers/bff_spec.rb".freeze, "spec/unit/packagers/deb_spec.rb".freeze, "spec/unit/packagers/ips_spec.rb".freeze, "spec/unit/packagers/makeself_spec.rb".freeze, "spec/unit/packagers/msi_spec.rb".freeze, "spec/unit/packagers/pkg_spec.rb".freeze, "spec/unit/packagers/pkgsrc_spec.rb".freeze, "spec/unit/packagers/rpm_spec.rb".freeze, "spec/unit/packagers/solaris_spec.rb".freeze, "spec/unit/project_spec.rb".freeze, "spec/unit/publisher_spec.rb".freeze, "spec/unit/publishers/artifactory_publisher_spec.rb".freeze, "spec/unit/publishers/s3_publisher_spec.rb".freeze, "spec/unit/s3_cacher_spec.rb".freeze, "spec/unit/s3_helpers_spec.rb".freeze, "spec/unit/semantic_version_spec.rb".freeze, "spec/unit/software_spec.rb".freeze, "spec/unit/sugarable_spec.rb".freeze, "spec/unit/util_spec.rb".freeze]
  s.homepage = "https://github.com/chef/omnibus".freeze
  s.licenses = ["Apache-2.0".freeze]
  s.required_ruby_version = Gem::Requirement.new(">= 2.6".freeze)
  s.rubygems_version = "3.3.10".freeze
  s.summary = "Omnibus is a framework for building self-installing, full-stack software builds.".freeze
  s.test_files = ["spec/fixtures/licensing/license_scout/snoopy/ruby_bundler-bundler-audit-0.5.0-COPYING.txt".freeze, "spec/fixtures/licensing/license_scout/snoopy/ruby_bundler-inifile-3.0.0-README.md".freeze, "spec/fixtures/licensing/license_scout/snoopy/snoopy-dependency-licenses.json".freeze, "spec/fixtures/licensing/license_scout/zlib/ruby_bundler-inifile-3.0.0-README.md".freeze, "spec/fixtures/licensing/license_scout/zlib/ruby_bundler-mime-types-3.1-Licence.rdoc".freeze, "spec/fixtures/licensing/license_scout/zlib/ruby_bundler-mini_portile2-2.1.0-LICENSE.txt".freeze, "spec/fixtures/licensing/license_scout/zlib/zlib-dependency-licenses.json".freeze, "spec/fixtures/sample/package-scripts/sample/postinstall".freeze, "spec/functional/builder_spec.rb".freeze, "spec/functional/fetchers/file_fetcher_spec.rb".freeze, "spec/functional/fetchers/git_fetcher_spec.rb".freeze, "spec/functional/fetchers/net_fetcher_spec.rb".freeze, "spec/functional/fetchers/path_fetcher_spec.rb".freeze, "spec/functional/file_syncer_spec.rb".freeze, "spec/functional/licensing_spec.rb".freeze, "spec/functional/templating_spec.rb".freeze, "spec/spec_helper.rb".freeze, "spec/support/env_helpers.rb".freeze, "spec/support/examples.rb".freeze, "spec/support/file_helpers.rb".freeze, "spec/support/git_helpers.rb".freeze, "spec/support/logging_helpers.rb".freeze, "spec/support/matchers.rb".freeze, "spec/support/ohai_helpers.rb".freeze, "spec/support/output_helpers.rb".freeze, "spec/support/path_helpers.rb".freeze, "spec/support/shell_helpers.rb".freeze, "spec/unit/build_version_dsl_spec.rb".freeze, "spec/unit/build_version_spec.rb".freeze, "spec/unit/builder_spec.rb".freeze, "spec/unit/changelog_spec.rb".freeze, "spec/unit/changelogprinter_spec.rb".freeze, "spec/unit/cleanroom_spec.rb".freeze, "spec/unit/compressor_spec.rb".freeze, "spec/unit/compressors/base_spec.rb".freeze, "spec/unit/compressors/dmg_spec.rb".freeze, "spec/unit/compressors/null_spec.rb".freeze, "spec/unit/compressors/tgz_spec.rb".freeze, "spec/unit/config_spec.rb".freeze, "spec/unit/digestable_spec.rb".freeze, "spec/unit/fetcher_spec.rb".freeze, "spec/unit/fetchers/file_fetcher_spec.rb".freeze, "spec/unit/fetchers/git_fetcher_spec.rb".freeze, "spec/unit/fetchers/net_fetcher_spec.rb".freeze, "spec/unit/fetchers/path_fetcher_spec.rb".freeze, "spec/unit/file_syncer_spec.rb".freeze, "spec/unit/generator_spec.rb".freeze, "spec/unit/git_cache_spec.rb".freeze, "spec/unit/git_repository_spec.rb".freeze, "spec/unit/health_check_spec.rb".freeze, "spec/unit/library_spec.rb".freeze, "spec/unit/manifest_diff_spec.rb".freeze, "spec/unit/manifest_spec.rb".freeze, "spec/unit/metadata_spec.rb".freeze, "spec/unit/ohai_spec.rb".freeze, "spec/unit/omnibus_spec.rb".freeze, "spec/unit/package_spec.rb".freeze, "spec/unit/packager_spec.rb".freeze, "spec/unit/packagers/appx_spec.rb".freeze, "spec/unit/packagers/base_spec.rb".freeze, "spec/unit/packagers/bff_spec.rb".freeze, "spec/unit/packagers/deb_spec.rb".freeze, "spec/unit/packagers/ips_spec.rb".freeze, "spec/unit/packagers/makeself_spec.rb".freeze, "spec/unit/packagers/msi_spec.rb".freeze, "spec/unit/packagers/pkg_spec.rb".freeze, "spec/unit/packagers/pkgsrc_spec.rb".freeze, "spec/unit/packagers/rpm_spec.rb".freeze, "spec/unit/packagers/solaris_spec.rb".freeze, "spec/unit/project_spec.rb".freeze, "spec/unit/publisher_spec.rb".freeze, "spec/unit/publishers/artifactory_publisher_spec.rb".freeze, "spec/unit/publishers/s3_publisher_spec.rb".freeze, "spec/unit/s3_cacher_spec.rb".freeze, "spec/unit/s3_helpers_spec.rb".freeze, "spec/unit/semantic_version_spec.rb".freeze, "spec/unit/software_spec.rb".freeze, "spec/unit/sugarable_spec.rb".freeze, "spec/unit/util_spec.rb".freeze]

  if s.respond_to? :specification_version then
    s.specification_version = 4
  end

  if s.respond_to? :add_runtime_dependency then
    s.add_runtime_dependency(%q<aws-sdk-s3>.freeze, ["~> 1"])
    s.add_runtime_dependency(%q<chef-utils>.freeze, [">= 15.4"])
    s.add_runtime_dependency(%q<chef-cleanroom>.freeze, ["~> 1.0"])
    s.add_runtime_dependency(%q<ffi-yajl>.freeze, ["~> 2.2"])
    s.add_runtime_dependency(%q<mixlib-shellout>.freeze, [">= 2.0", "< 4.0"])
    s.add_runtime_dependency(%q<ohai>.freeze, [">= 15", "< 17"])
    s.add_runtime_dependency(%q<ruby-progressbar>.freeze, ["~> 1.7"])
    s.add_runtime_dependency(%q<thor>.freeze, [">= 0.18", "< 2.0"])
    s.add_runtime_dependency(%q<license_scout>.freeze, [">= 1.0"])
    s.add_runtime_dependency(%q<contracts>.freeze, [">= 0.16.0", "< 0.17.0"])
    s.add_runtime_dependency(%q<mixlib-versioning>.freeze, [">= 0"])
    s.add_runtime_dependency(%q<pedump>.freeze, [">= 0"])
    s.add_development_dependency(%q<artifactory>.freeze, ["~> 3.0"])
    s.add_development_dependency(%q<aruba>.freeze, ["~> 2.0"])
    s.add_development_dependency(%q<chefstyle>.freeze, ["= 1.7.5"])
    s.add_development_dependency(%q<fauxhai-ng>.freeze, [">= 7.5"])
    s.add_development_dependency(%q<rspec>.freeze, ["~> 3.0"])
    s.add_development_dependency(%q<rspec-json_expectations>.freeze, [">= 0"])
    s.add_development_dependency(%q<rspec-its>.freeze, [">= 0"])
    s.add_development_dependency(%q<webmock>.freeze, [">= 0"])
    s.add_development_dependency(%q<rake>.freeze, [">= 0"])
    s.add_development_dependency(%q<appbundler>.freeze, [">= 0"])
  else
    s.add_dependency(%q<aws-sdk-s3>.freeze, ["~> 1"])
    s.add_dependency(%q<chef-utils>.freeze, [">= 15.4"])
    s.add_dependency(%q<chef-cleanroom>.freeze, ["~> 1.0"])
    s.add_dependency(%q<ffi-yajl>.freeze, ["~> 2.2"])
    s.add_dependency(%q<mixlib-shellout>.freeze, [">= 2.0", "< 4.0"])
    s.add_dependency(%q<ohai>.freeze, [">= 15", "< 17"])
    s.add_dependency(%q<ruby-progressbar>.freeze, ["~> 1.7"])
    s.add_dependency(%q<thor>.freeze, [">= 0.18", "< 2.0"])
    s.add_dependency(%q<license_scout>.freeze, ["~> 1.0"])
    s.add_dependency(%q<contracts>.freeze, [">= 0.16.0", "< 0.17.0"])
    s.add_dependency(%q<mixlib-versioning>.freeze, [">= 0"])
    s.add_dependency(%q<pedump>.freeze, [">= 0"])
    s.add_dependency(%q<artifactory>.freeze, ["~> 3.0"])
    s.add_dependency(%q<aruba>.freeze, ["~> 2.0"])
    s.add_dependency(%q<chefstyle>.freeze, ["= 1.7.5"])
    s.add_dependency(%q<fauxhai-ng>.freeze, [">= 7.5"])
    s.add_dependency(%q<rspec>.freeze, ["~> 3.0"])
    s.add_dependency(%q<rspec-json_expectations>.freeze, [">= 0"])
    s.add_dependency(%q<rspec-its>.freeze, [">= 0"])
    s.add_dependency(%q<webmock>.freeze, [">= 0"])
    s.add_dependency(%q<rake>.freeze, [">= 0"])
    s.add_dependency(%q<appbundler>.freeze, [">= 0"])
  end
end

